(:: pragma bea:global-element-parameter parameter="$responseList" element="ns0:ResponseList" location="../../../MDS/objects/WeatherServiceMessages.xsd" ::)
(:: pragma bea:global-element-return element="ns0:InsertRecordsResponse" location="../../../MDS/objects/WeatherServiceMessages.xsd" ::)

declare namespace ns0 = "http://tu.delft/iot/Services/messages";
declare namespace xf = "http://tempuri.org/SplitJoinBlogCase/services/WeatherData/xquery/ResponseListToResponse/";

declare function xf:ResponseListToResponse($responseList as element(ns0:ResponseList))
    as element(ns0:InsertRecordsResponse) {
        <ns0:InsertRecordsResponse>
            <ns0:Result>
                <ns0:RecordCount>{ count($responseList/ns0:InsertRecordResponse/ns0:Succes) }</ns0:RecordCount>
                <ns0:Message>{ concat('Records succesfuly processed: ',count($responseList/ns0:InsertRecordResponse/ns0:Succes[text()='true'])) }</ns0:Message>
            </ns0:Result>
        </ns0:InsertRecordsResponse>
};

declare variable $responseList as element(ns0:ResponseList) external;

xf:ResponseListToResponse($responseList)
